{$A+,B-,D-,E+,F-,I+,L-,N-,O-,R-,S-,V+}
{$M 2024,0,10000}
{**************************************************************************

                               CMFDEMO
                       Program to test SBFMPAS

                             Date: 4/4/91
                              Version: 1

***************************************************************************

                   Copyright (c) 1991, Zackzon Labs.

                       Author: Anthony Rumble

==========
Addresses:
==========
InterNet: c9106510@cc.newcastle.edu
SIGNet: 28:2200/108

Snail Mail:
 32 Woolwich Rd.
 Hunters Hill, NSW, 2110
 Australia

-------------------------------------------------------------------------
                              HISTORY
-------------------------------------------------------------------------
1.0 - Works fine so far
*************************************************************************}
program testcmf;

uses crt, sbfmpas;

var
 muzak:pointer;
 version:word;
 status:byte;
 ch:char;

begin
 writeln('SBMF Play CMF Demo. By Anthony Rumble.');
 writeln('Copyright (c) Zackzon Labs');
 if paramcount<1 then
 begin
  writeln('Help.');
  writeln('Command Line Options');
  writeln('CMFDEMO <filename.CMF>');
  writeln('Plays the CMF file filename.CMF');
  writeln;
  halt(1);
 end;
 if initialize then writeln('SBFMDRV Active') else
 begin
  writeln('SBFMDRV not Active');
  halt(1);
 end;
 version:=SBFM_Get_Version;
 writeln('Version ',hi(version),'.',lo(version));
 SBFM_Set_Status(@status);
 muzak:=SBFM_Load_CMF(paramstr(1));
 if not SBFM_Play_Music(muzak) then
 begin
  writeln('Problem Playing Music');
  halt(1);
 end;
 repeat;
 write('Status = ',status);
 write(#13);
 until ((keypressed) or (status=0));
 if keypressed then ch:=readkey;
 SBFM_Reset;
end.
